#
# spec file for package jakarta-commons-httpclient3 (Version 3.0.1)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# icecream 0


Name:           jakarta-commons-httpclient3
BuildRequires:  ant-junit jaf jakarta-commons-codec jakarta-commons-discovery javamail log4j-mini servletapi5 wsdl4j java-1_6_0-ibm-devel
%define short_name httpclient3
%define name       jakarta-commons-%{short_name}
%define version    3.0.1
%define release    0.rc4.1jpp
%define section    free
Version:        3.0.1
Release:        253.2
Summary:        Feature rich package for accessing resources via HTTP
License:        The Apache Software License
#Source0:        http://archive.apache.org/dist/jakarta/commons/httpclient/source/commons-httpclient-3.0-rc4-src.tar.gz
Source0:        commons-httpclient-%{version}-src.tar.bz2
Patch150:       java150_build.patch
Url:            http://jakarta.apache.org/commons/httpclient/
Group:          Development/Libraries/Java
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       jakarta-commons-logging >= 1.0.3
Provides:       commons-%{short_name} = %{version}-%{release}
Obsoletes:      commons-%{short_name} < %{version}-%{release}
Provides:       jakarta-commons-httpclient = %{version}-%{release}

%description
Although the java.net  package provides basic functionality for
accessing resources via HTTP, it doesn't provide the full flexibility
or functionality needed by many applications. The Jakarta Commons
HttpClient component seeks to fill this void by providing an efficient,
up-to-date, and feature-rich package implementing the client side of
the most recent HTTP standards and recommendations.

Designed for extension while providing robust support for the base HTTP
protocol, the HttpClient component may be of interest to anyone
building HTTP-aware client applications such as web browsers, web
service clients, or systems that leverage or extend the HTTP protocol
for distributed communication.



Authors:
--------
    Adrian Sutton
    Alex Chaffee
    Arun Mammen Thomas
    Juozas Baliuka
    Henri Yandell
    Jeff Brekke
    Bruno D'Avanzo
    Costin Manolache
    Craig R. McClanahan
    Daniel F. Savarese
    David Graham
    Davanum Srinivas
    Dion Gillard
    Dirk Verbeeck
    Daniel Rall
    Dmitri Plotnikov
    Eric Pugh
    Fredrik Westermarck
    Geir Magnusson Jr.
    Gary Gregory
    Glenn Nielsen
    Henning P. Schmiedehausen
    Ted Husted
    Mario Ivankovits
    James Carman
    Sung-Gu Park
    Jean-Frederic Clere
    John Keyes
    John McNally
    Jon Stevens
    Jeff Dever
    James Strachan
    Jason van Zyl
    Jan Luehe
    Martin Cooper
    Matthew Hawthorne
    Michael Becke
    Mark R. Diggory
    Morgan Delagrange
    Martin Poeschl
    Mladen Turk
    Martin van den Bemt
    Noel J. Bergman
    Ortwin Gluck
    Oleg Kalnichevski
    Patrick Luby
    Peter Royal
    Phil Steitz
    Robert Burrell Donkin
    Remy Maucherat
    Robert Leland
    Richard Sitze
    Rodney Waldhoff
    Scott Sanders
    Serge Knystautas
    Steve Cohen
    Stephen Colebourne
    Shawn Bayern
    Simon Kitching
    Steven Caswell
    Sean Sullivan
    Tim O'Brien
    James Turner
    Bob McWhirter
    Yoav Shapira

%package        javadoc
License:        The Apache Software License
PreReq:         coreutils
Summary:        Developer documentation for jakarta-commons-httpclient3
Group:          Development/Libraries/Java

%description    javadoc
Developer documentation for jakarta-commons-httpclient3 in JavaDoc
format.



Authors:
--------
    Adrian Sutton
    Alex Chaffee
    Arun Mammen Thomas
    Juozas Baliuka
    Henri Yandell
    Jeff Brekke
    Bruno D'Avanzo
    Costin Manolache
    Craig R. McClanahan
    Daniel F. Savarese
    David Graham
    Davanum Srinivas
    Dion Gillard
    Dirk Verbeeck
    Daniel Rall
    Dmitri Plotnikov
    Eric Pugh
    Fredrik Westermarck
    Geir Magnusson Jr.
    Gary Gregory
    Glenn Nielsen
    Henning P. Schmiedehausen
    Ted Husted
    Mario Ivankovits
    James Carman
    Sung-Gu Park
    Jean-Frederic Clere
    John Keyes
    John McNally
    Jon Stevens
    Jeff Dever
    James Strachan
    Jason van Zyl
    Jan Luehe
    Martin Cooper
    Matthew Hawthorne
    Michael Becke
    Mark R. Diggory
    Morgan Delagrange
    Martin Poeschl
    Mladen Turk
    Martin van den Bemt
    Noel J. Bergman
    Ortwin Gluck
    Oleg Kalnichevski
    Patrick Luby
    Peter Royal
    Phil Steitz
    Robert Burrell Donkin
    Remy Maucherat
    Robert Leland
    Richard Sitze
    Rodney Waldhoff
    Scott Sanders
    Serge Knystautas
    Steve Cohen
    Stephen Colebourne
    Shawn Bayern
    Simon Kitching
    Steven Caswell
    Sean Sullivan
    Tim O'Brien
    James Turner
    Bob McWhirter
    Yoav Shapira

%{summary}.

%package        demo
License:        The Apache Software License
Summary:        Demonstration files for  jakarta-commons-httpclient3
Group:          Development/Libraries/Java
Requires:       %{name} = %{version}-%{release}

%description    demo
Demonstration files for jakarta-commons-httpclient3. NOTE: It is
possible that some demonstration files are specially prepared for SUN
Java runtime environment. If they fail with IBM or BEA Java, the
package itself does not need to be broken.



Authors:
--------
    Adrian Sutton
    Alex Chaffee
    Arun Mammen Thomas
    Juozas Baliuka
    Henri Yandell
    Jeff Brekke
    Bruno D'Avanzo
    Costin Manolache
    Craig R. McClanahan
    Daniel F. Savarese
    David Graham
    Davanum Srinivas
    Dion Gillard
    Dirk Verbeeck
    Daniel Rall
    Dmitri Plotnikov
    Eric Pugh
    Fredrik Westermarck
    Geir Magnusson Jr.
    Gary Gregory
    Glenn Nielsen
    Henning P. Schmiedehausen
    Ted Husted
    Mario Ivankovits
    James Carman
    Sung-Gu Park
    Jean-Frederic Clere
    John Keyes
    John McNally
    Jon Stevens
    Jeff Dever
    James Strachan
    Jason van Zyl
    Jan Luehe
    Martin Cooper
    Matthew Hawthorne
    Michael Becke
    Mark R. Diggory
    Morgan Delagrange
    Martin Poeschl
    Mladen Turk
    Martin van den Bemt
    Noel J. Bergman
    Ortwin Gluck
    Oleg Kalnichevski
    Patrick Luby
    Peter Royal
    Phil Steitz
    Robert Burrell Donkin
    Remy Maucherat
    Robert Leland
    Richard Sitze
    Rodney Waldhoff
    Scott Sanders
    Serge Knystautas
    Steve Cohen
    Stephen Colebourne
    Shawn Bayern
    Simon Kitching
    Steven Caswell
    Sean Sullivan
    Tim O'Brien
    James Turner
    Bob McWhirter
    Yoav Shapira

%{summary}.

%package        manual
License:        The Apache Software License
Summary:        Manual for jakarta-commons-httpclient3
Group:          Development/Libraries/Java

%description    manual
Manual for jakarta-commons-httpclient3



Authors:
--------
    Adrian Sutton
    Alex Chaffee
    Arun Mammen Thomas
    Juozas Baliuka
    Henri Yandell
    Jeff Brekke
    Bruno D'Avanzo
    Costin Manolache
    Craig R. McClanahan
    Daniel F. Savarese
    David Graham
    Davanum Srinivas
    Dion Gillard
    Dirk Verbeeck
    Daniel Rall
    Dmitri Plotnikov
    Eric Pugh
    Fredrik Westermarck
    Geir Magnusson Jr.
    Gary Gregory
    Glenn Nielsen
    Henning P. Schmiedehausen
    Ted Husted
    Mario Ivankovits
    James Carman
    Sung-Gu Park
    Jean-Frederic Clere
    John Keyes
    John McNally
    Jon Stevens
    Jeff Dever
    James Strachan
    Jason van Zyl
    Jan Luehe
    Martin Cooper
    Matthew Hawthorne
    Michael Becke
    Mark R. Diggory
    Morgan Delagrange
    Martin Poeschl
    Mladen Turk
    Martin van den Bemt
    Noel J. Bergman
    Ortwin Gluck
    Oleg Kalnichevski
    Patrick Luby
    Peter Royal
    Phil Steitz
    Robert Burrell Donkin
    Remy Maucherat
    Robert Leland
    Richard Sitze
    Rodney Waldhoff
    Scott Sanders
    Serge Knystautas
    Steve Cohen
    Stephen Colebourne
    Shawn Bayern
    Simon Kitching
    Steven Caswell
    Sean Sullivan
    Tim O'Brien
    James Turner
    Bob McWhirter
    Yoav Shapira

%{summary}.

%prep
%setup -q -n commons-httpclient-%{version}
%patch150 -p1
mkdir lib # duh
rm -rf docs/apidocs docs/*.patch docs/*.orig docs/*.rej

%build
export CLASSPATH=%(build-classpath jsse jce junit jakarta-commons-codec jakarta-commons-logging)
ant \
  -Dbuild.sysclasspath=first \
  -Djavadoc.j2sdk.link=%{_javadocdir}/java \
  -Djavadoc.logging.link=%{_javadocdir}/jakarta-commons-logging \
  dist 

%install
# jars
mkdir -p $RPM_BUILD_ROOT%{_javadir}
cp -p dist/commons-httpclient.jar \
  $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|jakarta-||g"`; done)
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|httpclient3|httpclient|g"`; done)
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}.jar; do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)
# javadoc
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}
mv dist/docs/api $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink
# demo
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}
cp -pr src/examples src/contrib $RPM_BUILD_ROOT%{_datadir}/%{name}
# manual and docs
rm -f dist/docs/{BUILDING,TESTING}.txt
ln -s %{_javadocdir}/%{name} dist/docs/apidocs

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%files
%defattr(0644,root,root,0755)
%doc LICENSE.txt README.txt RELEASE_NOTES.txt
%{_javadir}/*

%files javadoc
%defattr(0644,root,root,0755)
%doc %{_javadocdir}/%{name}-%{version}
%ghost %doc %{_javadocdir}/%{name}

%files demo
%defattr(0644,root,root,0755)
%{_datadir}/%{name}

%files manual
%defattr(0644,root,root,0755)
%doc dist/docs/*

%changelog
* Mon Oct  4 2010 mvyskocil@suse.cz
- fix bnc#641398 - changes for spacewalk
  * provides jakarta-commons-httpclient
  * contains a commons-httpclient.jar link in javadir
* Thu Jul 17 2008 coolo@suse.de
- avoid another build cycle
* Mon Oct  2 2006 dbornkessel@suse.de
- update to v3.0.1
- fixes necessary to compile with Java 1.5.0 (in 3.0.1 version)
  - set source="1.4" and target="1.4" for ant "javac" tasks
  - set source="1.4" for ant "javadoc" tasks
* Mon Sep 25 2006 skh@suse.de
- don't use icecream
- use source="1.4" and target="1.4" for build with java 1.5
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Jan  4 2006 dbornkessel@suse.de
- disabled and 'test' target as that was specially written for sun JRE and hence fails with other JREs
* Mon Dec 19 2005 dbornkessel@suse.de
- Current version 3.0 from JPackage.org
